Last Comment Bug 408755 - Update MOZILLA_1_8_BRANCH to NSPR_4_6_8_RTM for Leopard build compatibility
: Update MOZILLA_1_8_BRANCH to NSPR_4_6_8_RTM for Leopard build compatibility
Status: VERIFIED FIXED
: verified1.8.1.12
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: 1.8 Branch
: All All
: -- normal (vote)
: ---
Assigned To: Mark Mentovai
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-17 16:47 PST by Mark Mentovai
Modified: 2008-01-30 16:20 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (941 bytes, patch)
2007-12-17 16:48 PST, Mark Mentovai
mark: review+
dveditz: approval1.8.1.12+
Details | Diff | Splinter Review
NSPR 4.6.7-4.6.8 diffs (28.94 KB, patch)
2007-12-18 12:30 PST, Mark Mentovai
no flags Details | Diff | Splinter Review

Description Mark Mentovai 2007-12-17 16:47:43 PST
We need to update the Mozilla 1.8 branch to use NSPR_4_6_8_RTM for build compatibility on Leopard.  NSPR 4.6.7 as currently used won't build on Leopard using gcc 3.3, which is what we use to build for PowerPC.  This is important to us because the 1.8 branch is still actively being used for Camino development, and most Camino developers have moved on to Leopard.

See bug 401768, where the NSPR work was actually done.
Comment 1 Mark Mentovai 2007-12-17 16:48:21 PST
Created attachment 293603 [details] [diff] [review]
Patch

This was r=wtchang in bug 401768.
Comment 2 Samuel Sidler (old account; do not CC) 2007-12-18 10:58:04 PST
Here's the list of fixed bugs with an NSPR 4.6.8 target milestone in Bugzilla:

https://bugzilla.mozilla.org/buglist.cgi?product=NSPR&target_milestone=4.6.8&resolution=FIXED

Wan-Teh, were there any other bugs fixed in this release?
Comment 3 Mark Mentovai 2007-12-18 12:30:45 PST
Created attachment 293722 [details] [diff] [review]
NSPR 4.6.7-4.6.8 diffs

This contains the diff from NSPR 4.6.7 to 4.6.8.  I removed the diff for the auto-generated mozilla/nsprpub/configure.  Its source, mozilla/nsprpub/configure.in, is included.

Based on a read-through, the changes for tier 1 platforms are:

Bug 401768 Can't build with gcc 3.3 and an SDK on Leopard (on NSPR trunk)
Bug 401813 NSPR 4.6 doesn't build on Leopard using native SDK (was bug 363092 on NSPR trunk, long ago)
Bug 387954 NT version of PR_Accept on IPv6 listen socket fails with INVALID_ARGS

We (Camino) need both of the Mac fixes.

I don't know if Firefox ever does anything that would require it to accept() IPv6 connections - I don't think it does.
Comment 4 Wan-Teh Chang 2007-12-18 16:00:27 PST
Mark's comment 3 is correct.  Also, Bug 387954 doesn't affect Mozilla clients.
Comment 5 simon gray 2007-12-21 07:52:39 PST
2 errors:
1) Python files have problems with (int *) cast in several files on OSX 10.5.1
2) doesn't build ready for deployment installer on OSX 10.5.1

c++ -o nsStaticComponents.o -c  -DMOZILLA_INTERNAL_API -DOSTYPE=\"Darwin9.1.0\" -DOSARCH=\"Darwin\" -DBUILD_ID=0000000000 -D_BUILD_STATIC_BIN=1 -I/Users/simon/Desktop/work/pycode/mozilla/config -I/Users/simon/Desktop/work/pycode/mozilla/widget/src/mac -I../../../dist/include/xpcom -I../../../dist/include/string -I../../../dist/include/embed_base -I../../../dist/include/webshell -I../../../dist/include/widget -I../../../dist/include/gfx -I../../../dist/include/layout -I../../../dist/include/content -I../../../dist/include/dom -I../../../dist/include/webbrwsr -I../../../dist/include/docshell -I../../../dist/include/util -I../../../dist/include/uriloader -I../../../dist/include/locale -I../../../dist/include/necko -I../../../dist/include/htmlparser -I../../../dist/include/view -I../../../dist/include/pref -I../../../dist/include/intl -I../../../dist/include/unicharutil -I../../../dist/include/editor -I../../../dist/include/windowwatcher -I../../../dist/include/xpconnect -I../../../dist/include/js -I../../../dist/include/webshell_tests -I../../../dist/include -I../../../dist/include/nspr       -mdynamic-no-pic   -fno-rtti -fno-exceptions -Wall -Wconversion -Wpointer-arith -Wcast-align -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wno-long-long -fpascal-strings -no-cpp-precomp -fno-common -fshort-wchar -pthread -I/Developer/Headers/FlatCarbon -pipe  -DNDEBUG -DTRIMMED -DWIDGET_DLL=\"libwidget_mac.dylib\" -DGFXWIN_DLL=\"libgfx_mac.dylib\" -I/Developer/Headers/FlatCarbon   -DMOZILLA_CLIENT -include ../../../mozilla-config.h -Wp,-MD,.deps/nsStaticComponents.pp nsStaticComponents.cpp
c++ -o viewer  -fno-rtti -fno-exceptions -Wall -Wconversion -Wpointer-arith -Wcast-align -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wno-long-long -fpascal-strings -no-cpp-precomp -fno-common -fshort-wchar -pthread -I/Developer/Headers/FlatCarbon -pipe  -DNDEBUG -DTRIMMED -DWIDGET_DLL=\"libwidget_mac.dylib\" -DGFXWIN_DLL=\"libgfx_mac.dylib\" -I/Developer/Headers/FlatCarbon  nsMacMain.o nsBaseDialog.o nsFindDialog.o nsXPBaseWindow.o nsTableInspectorDialog.o nsImageInspectorDialog.o nsPrintSetupDialog.o nsBrowserWindow.o nsEditorMode.o nsThrobber.o nsViewerApp.o nsWebCrawler.o nsWebBrowserChrome.o nsWindowCreator.o nsStaticComponents.o     -L../../../dist/lib/components -L../../../dist/bin -L../../../dist/lib   ../../../dist/lib/libwidgetsupport_s.a -lgkgfx -ljsj  -L../../../dist/bin -lmozjs ../../../dist/lib/libunicharutil_s.a -L../../../dist/bin -lxpcom -lxpcom_core -L../../../dist/lib -lplds4 -lplc4 -lnspr4    -lm  -framework Carbon ../../../dist/lib/components/libxpcom_compat_c.a ../../../dist/lib/components/libxpconnect.a ../../../dist/lib/components/libxpctest.a ../../../dist/lib/components/libuconv.a ../../../dist/lib/components/libucvmath.a ../../../dist/lib/components/libi18n.a ../../../dist/lib/components/libmork.a ../../../dist/lib/components/libstoragecomps.a ../../../dist/lib/components/libnecko.a ../../../dist/lib/components/libnecko2.a ../../../dist/lib/components/libjar50.a ../../../dist/lib/components/libpref.a ../../../dist/lib/components/libcaps.a ../../../dist/lib/components/librdf.a ../../../dist/lib/components/libhtmlpars.a ../../../dist/lib/components/libgfx_mac.a ../../../dist/lib/components/libimgicon.a ../../../dist/lib/components/libimglib2.a ../../../dist/lib/components/libgkplugin.a ../../../dist/lib/components/libwidget_mac.a ../../../dist/lib/components/libgklayout.a ../../../dist/lib/components/libdocshell.a ../../../dist/lib/components/libembedcomponents.a ../../../dist/lib/components/libwebbrwsr.a ../../../dist/lib/components/libeditor.a ../../../dist/lib/components/libtxmgr.a ../../../dist/lib/components/libcomposer.a ../../../dist/lib/components/libnsappshell.a ../../../dist/lib/components/liboji.a ../../../dist/lib/components/libaccessibility.a ../../../dist/lib/components/libchrome.a ../../../dist/lib/components/libmozfind.a ../../../dist/lib/components/libappcomps.a ../../../dist/lib/components/libcommandlines.a ../../../dist/lib/components/libtoolkitcomps.a ../../../dist/lib/components/libpipboot.a ../../../dist/lib/components/libpipnss.a ../../../dist/lib/components/libpippki.a ../../../dist/lib/components/libcookie.a ../../../dist/lib/components/libxmlextras.a ../../../dist/lib/components/libautoconfig.a ../../../dist/lib/components/libtransformiix.a ../../../dist/lib/components/libuniversalchardet.a ../../../dist/lib/components/libwsproxytest.a ../../../dist/lib/components/libwebsrvcs.a ../../../dist/lib/components/libauth.a ../../../dist/lib/components/libpermissions.a ../../../dist/lib/components/libsearchservice.a ../../../dist/lib/components/libbrowserdirprovider.a ../../../dist/lib/components/libbrowsercomps.a ../../../dist/lib/libunicharutil_s.a ../../../dist/lib/libucvutil_s.a ../../../dist/lib/libgfxshared_s.a ../../../dist/lib/libgkgfx.a ../../../dist/lib/libjsj.a ../../../dist/lib/libxulapp_s.a  -L../../../dist/lib -lmozpng -L../../../dist/lib -lmozjpeg -L../../../dist/lib -lmozz  -L-L../../../dist/bin -L../../../dist/lib -lcrmf -lsmime3 -lssl3 -lnss3 -lsoftokn3  -lmozcairo -lmozlibpixman  -L../../../dist/lib -lxpcom_compat -framework QuickTime -framework IOKit    
Undefined symbols:
  ".objc_class_name_NSAutoreleasePool", referenced from:
      literal-pointer@__OBJC@__cls_refs@NSAutoreleasePool in libxulapp_s.a(MacLaunchHelper.o)
  "_NSTaskDidTerminateNotification", referenced from:
      _NSTaskDidTerminateNotification$non_lazy_ptr in libxulapp_s.a(MacLaunchHelper.o)
  "_objc_msgSend", referenced from:
      -[TaskMonitor prebindFinished:] in libxulapp_s.a(MacLaunchHelper.o)
      -[TaskMonitor prebindFinished:] in libxulapp_s.a(MacLaunchHelper.o)
      -[TaskMonitor prebindFinished:] in libxulapp_s.a(MacLaunchHelper.o)
      _UpdatePrebinding in libxulapp_s.a(MacLaunchHelper.o)
      _UpdatePrebinding in libxulapp_s.a(MacLaunchHelper.o)
      _UpdatePrebinding in libxulapp_s.a(MacLaunchHelper.o)
      _UpdatePrebinding in libxulapp_s.a(MacLaunchHelper.o)
      _UpdatePrebinding in libxulapp_s.a(MacLaunchHelper.o)
      _UpdatePrebinding in libxulapp_s.a(MacLaunchHelper.o)
      _UpdatePrebinding in libxulapp_s.a(MacLaunchHelper.o)
      _UpdatePrebinding in libxulapp_s.a(MacLaunchHelper.o)
      _UpdatePrebinding in libxulapp_s.a(MacLaunchHelper.o)
      _UpdatePrebinding in libxulapp_s.a(MacLaunchHelper.o)
      _UpdatePrebinding in libxulapp_s.a(MacLaunchHelper.o)
      _UpdatePrebinding in libxulapp_s.a(MacLaunchHelper.o)
      _UpdatePrebinding in libxulapp_s.a(MacLaunchHelper.o)
      _UpdatePrebinding in libxulapp_s.a(MacLaunchHelper.o)
      _UpdatePrebinding in libxulapp_s.a(MacLaunchHelper.o)
      _UpdatePrebinding in libxulapp_s.a(MacLaunchHelper.o)
      _UpdatePrebinding in libxulapp_s.a(MacLaunchHelper.o)
      _LaunchChildMac in libxulapp_s.a(MacLaunchHelper.o)
      _LaunchChildMac in libxulapp_s.a(MacLaunchHelper.o)
      _LaunchChildMac in libxulapp_s.a(MacLaunchHelper.o)
      _LaunchChildMac in libxulapp_s.a(MacLaunchHelper.o)
      _LaunchChildMac in libxulapp_s.a(MacLaunchHelper.o)
      _LaunchChildMac in libxulapp_s.a(MacLaunchHelper.o)
      _LaunchChildMac in libxulapp_s.a(MacLaunchHelper.o)
      _LaunchChildMac in libxulapp_s.a(MacLaunchHelper.o)
      _LaunchChildMac in libxulapp_s.a(MacLaunchHelper.o)
      _LaunchChildMac in libxulapp_s.a(MacLaunchHelper.o)
      _LaunchChildMac in libxulapp_s.a(MacLaunchHelper.o)
      _LaunchChildMac in libxulapp_s.a(MacLaunchHelper.o)
      _LaunchChildMac in libxulapp_s.a(MacLaunchHelper.o)
      _LaunchChildMac in libxulapp_s.a(MacLaunchHelper.o)
      _LaunchChildMac in libxulapp_s.a(MacLaunchHelper.o)
      _LaunchChildMac in libxulapp_s.a(MacLaunchHelper.o)
      _LaunchChildMac in libxulapp_s.a(MacLaunchHelper.o)
      _LaunchChildMac in libxulapp_s.a(MacLaunchHelper.o)
  ".objc_class_name_NSNotificationCenter", referenced from:
      literal-pointer@__OBJC@__cls_refs@NSNotificationCenter in libxulapp_s.a(MacLaunchHelper.o)
  ".objc_class_name_NSArray", referenced from:
      literal-pointer@__OBJC@__cls_refs@NSArray in libxulapp_s.a(MacLaunchHelper.o)
  ".objc_class_name_NSMutableArray", referenced from:
      literal-pointer@__OBJC@__cls_refs@NSMutableArray in libxulapp_s.a(MacLaunchHelper.o)
  ".objc_class_name_NSTask", referenced from:
      literal-pointer@__OBJC@__cls_refs@NSTask in libxulapp_s.a(MacLaunchHelper.o)
  ".objc_class_name_NSBundle", referenced from:
      literal-pointer@__OBJC@__cls_refs@NSBundle in libxulapp_s.a(MacLaunchHelper.o)
  ".objc_class_name_NSObject", referenced from:
      .objc_class_name_TaskMonitor in libxulapp_s.a(MacLaunchHelper.o)
  "_NSLog", referenced from:
      _UpdatePrebinding in libxulapp_s.a(MacLaunchHelper.o)
  ".objc_class_name_NSString", referenced from:
      literal-pointer@__OBJC@__cls_refs@NSString in libxulapp_s.a(MacLaunchHelper.o)
ld: symbol(s) not found
collect2: ld returned 1 exit status
make[4]: *** [viewer] Error 1
make[3]: *** [libs] Error 2
make[2]: *** [tier_99] Error 2
make[1]: *** [default] Error 2
make: *** [build] Error 2
Comment 6 Mark Mentovai 2007-12-21 07:55:27 PST
Comment 5 doesn't have anything to do with this.  Please open a new bug.
Comment 7 simon gray 2007-12-21 08:12:23 PST
No - this is stemming directly out your patch file.
It is not a new bug - it is a clearer issue description of the original problem when compiling extensions in the same branch.
Comment 8 Daniel Veditz [:dveditz] 2007-12-21 12:03:26 PST
Comment on attachment 293603 [details] [diff] [review]
Patch

approved for 1.8.1.12, a=dveditz for release-drivers
Comment 9 Mark Mentovai 2007-12-21 12:37:17 PST
Comment 7: no, really, your build spew has nothing to do with NSPR or this patch.  You're failing to link against system frameworks you apparently depend on.  Please try adding "-framework Cocoa" to your link flags and file a new bug if you need additional assistance.
Comment 10 Mark Mentovai 2007-12-21 12:54:32 PST
Checked in on MOZILLA_1_8_BRANCH.
Comment 11 simon gray 2007-12-22 02:42:37 PST
no - if your patch diff from NSPR isn't including "-framework Cocoa"
in the link flags then your patch diff is wrong.

I am using the kosher MOZILLA_1_8_BRANCH that builds perfectly under 10.4.x -
its your patch diff applied that doesn't add the "-framework Cocoa" correctly.
Comment 12 Mark Mentovai 2007-12-22 07:03:27 PST
Simon, NSPR has no use for Cocoa.  Your build log shows that the Cocoa user is MacLaunchHelper.m, which is far from NSPR.  NSPR never included the Cocoa framework previously, and doesn't include it now.

Even if this bug was to blame, your report properly belongs in a new bug, as you've been asked to file.  I don't understand why you would think it's constructive to argue this point here even after you've been offered assistance.

I consider this issue closed and won't address it any further in this bug.
Comment 13 Al Billings [:abillings] 2008-01-30 16:20:34 PST
Verified checked in using LXR.

Note You need to log in before you can comment on or make changes to this bug.